#!/bin/sh
# Licensed Materials - Property of IBM
# Rational ClearQuest 
# (C) Copyright IBM Corp. 2016 All Rights Reserved
# US Government Users Restricted Rights -
# Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
#
# Run this .sh file to copy CQ jsp from the shared Installation
# Manager directory to a target directory
# Usage:   
#  copyJSP <targetDirectory> - Copies the ClearQuest cqbirt.jsp to the targetDirectory   
#  the targetDirectory is under....\birt_war.ear\birt.war of CQ web profile. 

copy()
{
set echo
local CLEARQUEST_HOME=/opt/rational/clearquest
local JSP_PATH=$CLEARQUEST_HOME/reports/launcher/birt
cp -rf $JSP_PATH/cqbirt.jsp  $TARGET_PATH
echo Copied cqbirt.jsp into $TARGET_PATH
unset echo
}

clearSettings()
{
unset TARGET_PATH
unset CLEARQUEST_HOME
unset JSP_PATH
exit 0
}

if [ $# -eq 0 ]; then 
   echo enter the targetDirectory which is under....\birt_war.ear\birt.war of CQ web profile
   exit 0
else
   TARGET_PATH=$1
fi

copy
clearSettings
exit 0
